summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-18.5.1.ebuild34
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin258853 -> 258835 bytes
-rw-r--r--dev-python/alembic/Manifest2
-rw-r--r--dev-python/alembic/alembic-1.10.4.ebuild35
-rw-r--r--dev-python/astroid/Manifest2
-rw-r--r--dev-python/astroid/astroid-2.15.4.ebuild65
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.119.ebuild66
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.119.ebuild72
-rw-r--r--dev-python/cffi/Manifest2
-rw-r--r--dev-python/cffi/cffi-1.15.1-r2.ebuild2
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.77.3.ebuild64
-rw-r--r--dev-python/leechcorepyc/Manifest2
-rw-r--r--dev-python/leechcorepyc/leechcorepyc-2.14.3.ebuild34
-rw-r--r--dev-python/mkdocs-material/Manifest2
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.1.8.ebuild56
-rw-r--r--dev-python/patch-ng/Manifest2
-rw-r--r--dev-python/patch-ng/patch-ng-1.17.4-r1.ebuild2
-rw-r--r--dev-python/pylibacl/Manifest2
-rw-r--r--dev-python/pylibacl/pylibacl-0.7.0.ebuild3
-rw-r--r--dev-python/pylint/Manifest2
-rw-r--r--dev-python/pylint/pylint-2.17.3.ebuild87
-rw-r--r--dev-python/pyopenssl/Manifest2
-rw-r--r--dev-python/pyopenssl/pyopenssl-23.1.1.ebuild2
-rw-r--r--dev-python/pyproject-fmt/Manifest2
-rw-r--r--dev-python/pyproject-fmt/pyproject-fmt-0.10.0.ebuild33
-rw-r--r--dev-python/pyzotero/Manifest2
-rw-r--r--dev-python/pyzotero/pyzotero-1.5.9.ebuild37
-rw-r--r--dev-python/tox/Manifest2
-rw-r--r--dev-python/tox/tox-4.5.0.ebuild80
-rw-r--r--dev-python/wxpython/Manifest2
-rw-r--r--dev-python/wxpython/wxpython-4.2.0.ebuild2
-rw-r--r--dev-python/yara-python/Manifest2
-rw-r--r--dev-python/yara-python/yara-python-4.3.1.ebuild40
37 files changed, 740 insertions, 10 deletions
diff --git a/dev-python/Faker/Faker-18.5.1.ebuild b/dev-python/Faker/Faker-18.5.1.ebuild
new file mode 100644
index 000000000000..f1e5f5fe409a
--- /dev/null
+++ b/dev-python/Faker/Faker-18.5.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 398b51f32fd2..8c4dd8f2f4ae 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,5 @@
DIST Faker-18.4.0.tar.gz 1664014 BLAKE2B daf3ea7f05bdaab27a70d72b26042a0a205963d56848b97d45ad8a4e04dfbbffecc1ffb94dc0570fca7ea339df9e28a6cde85b879589f4619eccddd71fc5b686 SHA512 a0c0d1b5eb087dfe160248c4ecc0fe7ea037aad715f62621f9d4764cadc684741db025b39af511b38577818f9087ba11950962f618dfd18d08f30b18d89b1b56
+DIST Faker-18.5.1.tar.gz 1664745 BLAKE2B c6b02b9827a0cda7ac37bdc12882e879b8b981b6fcf734fa887a36cef62bf7605c8d66158efc673ecc937b907370002f1f3b3a35f33daf24c4a13cbbb6061ca7 SHA512 735343cfd081f1328f4ce5eddd22d226a9a01529d6e9975d1cc23a54ce0e9786903daa59ab3aaa1575fd8869406c709c7b51a5f364a7b3010e11473cb477be45
EBUILD Faker-18.4.0.ebuild 682 BLAKE2B 6e4f513383d927ae62995083ce32a75635a14844754fcaaa52313a7aaa98118e82f018a82c381a5347a2df0ddf9e7bc68f78438fbd4336b8cd51562bf335b9d8 SHA512 83e54f767935b0a45f0f50b4df871213cf7cd968fd73c9c1502895fe4fe1d0f533fb249c478aa89b78414f8198b6b2d123931c0096e1582fa5e8a76bf3767069
+EBUILD Faker-18.5.1.ebuild 683 BLAKE2B ed6805e59f23a4bc570266b7f6e806d8861a1caedd84cf7eaffff58932fe5347469a303402748e82fcc02734d78356d076dfe1b054bc0b33c6e546e295382b18 SHA512 4ea11d603431b14a105c5b67b56ab168bb6fae6ea40760bbeb53076fdbd8e98452c7f8e53e3657911423f33af76b910c5c4bb10fbf365e9c68a3b5e571f5aa44
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index c525101ca4a0..87ec27ea724f 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index 6dc87d4a05b6..41991c61b1c9 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1,5 +1,7 @@
DIST alembic-1.10.2.tar.gz 1148340 BLAKE2B e6882982d0c7f10aadce3118e0d7ec84de9ecd123b55351922876fedcd5e1debe8aacac57a4db25a0296c585569d6118b95aa5dc601841f5c4247f21fcfd917f SHA512 a0ebff90521a4358257892b840d3e623d35bc2c32408759b7d5ae25839a5314e58ea40457f79e766d1cfad467ebe8b663e073aebd89141e11aee1992b40ee1e9
DIST alembic-1.10.3.tar.gz 1151146 BLAKE2B 3b84ca71431b0a55c91413f4586f85e5e7c8f8d107755fca7694dca431b96c6e6a9abc9b67a8d86c348cb194e18553761bb8d4a3957a6479cfc57cb92de8b490 SHA512 5665ae9429a6b828b6357bde170e011ef5a18cb5642c5b5ade123046dfbad307c238c0188b4c35db59217c7921f43b2b92192b84b51ee269a39766957ca0be7f
+DIST alembic-1.10.4.tar.gz 1152769 BLAKE2B f940dec295f362cdb63bdb0326c5438734189518188e9de01d2aa164b3d51ac6d00ca960bae9fc539ac19b2c82982e907fa705efd02d30cd08d5a9f8d0ab2ae3 SHA512 bf49aff7d04fbbc966df351451dacd921c3b292313c1077d6b02a2679aeeef086313cd11ede8880c056950f8359bd9ab6e3f5219ae859e48d0298aeb8ea9e398
EBUILD alembic-1.10.2.ebuild 821 BLAKE2B 1e242919afebea6135741c1a7d7beebc24345972ad244d68b604071b9e93f6e76721aa6f0973fad9865b30ed8dbf2e1d7dcf392b15f8edf91b47d7c9dd521c9d SHA512 f0e382643b109ef55dbe161d972552f355a4b2474aed88a85258fcfce067ddff956a149ab9cc94dfccceaa66d4b6c47554cbc6777d26f04d579dec0f44d66fb9
EBUILD alembic-1.10.3.ebuild 823 BLAKE2B 2e117a78be63af85010ec0f507aa0f90129b3fdb92c345b741a8beeadf9c19d634eba9f3072a3013c53dca7bb85d77553c75876460c0e3c8d74b5a6e89ba39fe SHA512 fcc103c9652dd9450d4810f96cfc56dc8462d234ca0d6b88c8814f9948917a8e3d241b331e8bd7ed46cfb3d04b7afb0c00b4241784886e23ce7c7b2eee04c861
+EBUILD alembic-1.10.4.ebuild 823 BLAKE2B 2e117a78be63af85010ec0f507aa0f90129b3fdb92c345b741a8beeadf9c19d634eba9f3072a3013c53dca7bb85d77553c75876460c0e3c8d74b5a6e89ba39fe SHA512 fcc103c9652dd9450d4810f96cfc56dc8462d234ca0d6b88c8814f9948917a8e3d241b331e8bd7ed46cfb3d04b7afb0c00b4241784886e23ce7c7b2eee04c861
MISC metadata.xml 516 BLAKE2B 08b11ebed2913b00e0a8c0044a50e3ca7bc0e51fcad180725c90445227fed1aed58ed89b4bed58ef5c050c3eee3c19da33aabce5cd1f7835f4b560e67ccc7744 SHA512 b4afb6af57562e6065f03db71da0dbdfc9c4337e54cbaddfa257ee7bad48dbeecfaccd765901bf65279e34cf96be3975f983017858904716a36bf8c18f33db79
diff --git a/dev-python/alembic/alembic-1.10.4.ebuild b/dev-python/alembic/alembic-1.10.4.ebuild
new file mode 100644
index 000000000000..65822a6ad910
--- /dev/null
+++ b/dev-python/alembic/alembic-1.10.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="
+ https://github.com/sqlalchemy/alembic/
+ https://pypi.org/project/alembic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index 3d315057fb0b..8404fad5fc43 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,7 +1,9 @@
DIST astroid-2.15.1.gh.tar.gz 460960 BLAKE2B ec08cc53027323a70291adc888b3621dc139783e6f72859eac05a2c6da0150cc5d19dc6a7278b6a846f985cf44c7d868df1ba11d0c6e3b7a5d3c71a38603743e SHA512 26f85aff9de08d4b413c40951f2aefd2c19304c077b502774b253e3fcced42173bc7e996fac82b3462c6915625ff48fd80dd1ab5e3425aefa103347f821f7df4
DIST astroid-2.15.2.gh.tar.gz 461132 BLAKE2B 1e4d5fa174c7893743ebe9a17b28bdee68fefd35a69802358eb4448402a00622ec56a7ba18a8cdae8cafd9e75bbee9cd18f39bbb44fbcc061c893fc24e308376 SHA512 aea2a55780f81893d8dad4acb572883017e3d6270d48a8f0d3b4520279bc4d79e9d04192479d5aad453ab7bda6d29edf1f56c92d86c04a8ef07bd4561bf908c4
DIST astroid-2.15.3.gh.tar.gz 461474 BLAKE2B 3631d5d3c591dcf4a7aef0b78a5dea4b7dba90c6c11297fd9a60aefbad7c7a3b8c1dee1adc634991292a6650ad02f4408f8aee15fa0ac67fca4279d86b96f963 SHA512 622a33c6ca278c1036d8f3c7de36d474c8697dd47593ebc6d4987600b779e3901ff7a2ad6d621396bf54ed394a4ea8704dd226d97021b40fd7641756b9b2f975
+DIST astroid-2.15.4.gh.tar.gz 461609 BLAKE2B 0dc54a0a99c16698e025f01361d67a5aa248e091f757184bfeb8b6287d656afbb56706a99058c0105252c6925dbe51e8ee260020d7512d7aa9bbf3d92d0a0b7e SHA512 1725676cd55fde0359e7210b917663fa82a87bbec052fda27a80a08e7d2308ab1de7a5c1f1a052fd76575d9945d55743e6c23684754e03e84bb2facb51f2a5a2
EBUILD astroid-2.15.1.ebuild 1927 BLAKE2B d05c87932a2c70e6840870b693710fecd3434027d08433c399fcddf8738b23b1dcfb9e3f6fd7cf96b93a4f738db5ff36fd751b7695248400cfaf7f02e0bc4102 SHA512 b7bcb425a787a1d959e555b69cbb35a266dac42fc6fb4e2d8874e4d659a31a1978518c4321db71bd47ddb50094296057d0a702f5b278215ebe051b933d635a25
EBUILD astroid-2.15.2.ebuild 1944 BLAKE2B 02bf83a2d2aa64f1facca32d081cb52e389d504a864d3990a0fad04628e12cd7d119a30058af21950095d1824a11c2ecc3219078da270cbfd65dd8763effb736 SHA512 4f29a0352dc018b061ed2cb665e80be005390ea206989ee23f2b93c794592b8e98e8bdfa2150e256e717f8b6bb44b2d498baf53ff657e53312416ab6362f5fd5
EBUILD astroid-2.15.3.ebuild 2064 BLAKE2B 4d0a944a806aa5a6a9696737a20e1c79475eecb027c39572a99de94ea137dea4d43bfccfbf1a475552fc2979fb6c13f1266c252a150e24e3b0d75b28b211c2c0 SHA512 e349c61c5588290e1b7a8b1b991cc5ee1c0c34d2973453e4fb7b6ead0ac878016489132dbf45068247713ab073971554727d8fb292041a88ffe6ecd6a39c5c60
+EBUILD astroid-2.15.4.ebuild 2064 BLAKE2B 4d0a944a806aa5a6a9696737a20e1c79475eecb027c39572a99de94ea137dea4d43bfccfbf1a475552fc2979fb6c13f1266c252a150e24e3b0d75b28b211c2c0 SHA512 e349c61c5588290e1b7a8b1b991cc5ee1c0c34d2973453e4fb7b6ead0ac878016489132dbf45068247713ab073971554727d8fb292041a88ffe6ecd6a39c5c60
MISC metadata.xml 1148 BLAKE2B 29a6cfc0c292117920be154d37ed4770f1fb1679186576fe6151cc02d1d6be766045e0231e2fceb87cbd250dbed3888c99b7ca7dc0182cc700a11961d9cd6d9e SHA512 6821d13f5e82bd73ee4fd165c0b4c94f40cd6af536dee1658cccb4175e67da2611c4d1478cdef1607535f23224116ad482197e0b0eef8f0a94d596bf250b3074
diff --git a/dev-python/astroid/astroid-2.15.4.ebuild b/dev-python/astroid/astroid-2.15.4.ebuild
new file mode 100644
index 000000000000..553be35505ca
--- /dev/null
+++ b/dev-python/astroid/astroid-2.15.4.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/pylint-dev/astroid/
+ https://pypi.org/project/astroid/
+"
+SRC_URI="
+ https://github.com/pylint-dev/astroid/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in pyproject.toml
+RDEPEND="
+ >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ <dev-python/wrapt-2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why they're broken
+ tests/test_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/test_regrtest.py::NonRegressionTests::test_numpy_distutils
+ tests/brain/test_regex.py::TestRegexBrain::test_regex_pattern_and_match_subscriptable
+ # some problem with warnings (our options?)
+ tests/test_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
+ tests/test_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
+ tests/test_scoped_nodes.py::test_deprecation_of_doc_attribute
+ # requires six bundled in urllib3, sigh
+ tests/test_modutils.py::test_file_info_from_modpath__SixMetaPathImporter
+ # requires pip, and looks suspicious anyway
+ tests/test_manager.py::IsolatedAstroidManagerTest::test_no_user_warning
+ )
+
+ # Faker causes sys.path_importer_cache keys to be overwritten
+ # with PosixPaths
+ epytest -p no:faker
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 060df4518732..4db284680ccf 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,6 +1,8 @@
DIST boto3-1.26.114.gh.tar.gz 637000 BLAKE2B 06f74ac214f4c2161ebe464e1c8fc42c74cb4429110c8ce979db3962fde5240c62ac94b4b9ca002fff89a36659a8830265ac693bd9522082b8cae21108e16cf9 SHA512 324ea177c8ee98a0935d1935f08b31f1640eedf8a7dd19f2bc958f6c1c2fb9deea29f0482b1f4c903d70860a93274dd0d70eafe0564116361daf5e7df51abd26
DIST boto3-1.26.118.gh.tar.gz 639685 BLAKE2B 45ba98f4a1b72c45caef8f04e1b5f5fe5a35e8e8fd4248f77889f780e9909caebb3d5715d0de5bb5f25ee353352e0860745643ddee503ffb8d1f99c8e42658c6 SHA512 cd62f9a9b087db2b2805e672c9e938da230390980d2163e06549b03cc3f009dbdad1e80205c392c24af5c4d98cefe3f2354244e9e9d20d706a8c69e34caa07ea
+DIST boto3-1.26.119.gh.tar.gz 640125 BLAKE2B c2a1e954c09b4322d6d369205a11013e5b84786cf3c1193ecb80792f215eeb9c6d96fd56c99fd2845c25bc8ab1a99a8f075dad142be79d2e5eb57f0bd20a7942 SHA512 21e3f5750d91de981cbfd0d7cd4dd6a7bacae56391544889ab683e686c2cdb843e1c67d67f62dfe1465e46eb59efe503eb4d626241c2372988bf40d5cfc66f23
EBUILD boto3-1.26.114.ebuild 1508 BLAKE2B 42be8b915da646a7afe6dfc988542d3d79b5dbdc565d2e738d210e3f77b7c5ba6dfbac45e46b9cc3cc4770611cbc0c155abc7f1807ff0cb8e6033f927bea4048 SHA512 06404c0363c0c7c0d378d1c2b91073c137a1685d2d846d98c655e6d001df5cde0eb51bf6e160879af2b56321a02e84146ce634855f70c7c3fbbd1adbb9b8ef8e
EBUILD boto3-1.26.118.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
+EBUILD boto3-1.26.119.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-9999.ebuild 1514 BLAKE2B 5d31d27ac50ed037fb8be61559bac03bd2a8c63f3220ac93ecc864c0e3cbd34763b9b70761a9f364cbc85a0edd84c6f6eeff614292f31473b4935e5bb86fae7b SHA512 26bd2959c745f0e423d683d2fedeab9a438d215fa9b28b403d0cea81caac7436f05382b2a91a183bc1095f3b205e3b2115f931cd7803e0b9838c2a507562da5c
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.119.ebuild b/dev-python/boto3/boto3-1.26.119.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.119.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ea3547f72d19..0f543ab3efca 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,6 +1,8 @@
DIST botocore-1.29.114.gh.tar.gz 11388772 BLAKE2B 6c9ce892cccf2f85ba4bcd49b31309528016313bb699efbca3b00d3cf3797de5e1b35bd71a3b5bd6d471e9c411ad7750ebd25c03571aa18c34cd42bc2f47bc19 SHA512 6633a2aaf2865a89976ba4097fa64cee4167a9144d4eadc7d9be711e65735bab08d2c03c18ae52c4901fea47265301cb95c91306b261fb48b4119bec66cde376
DIST botocore-1.29.118.gh.tar.gz 11412916 BLAKE2B b70359e5082728993c231ce73932899eb5c748c27f565f5a99e422bb28cba7034712cd62fb56a3c1bf3fcb027e004443878b94a7d43861e16af87fc594bd542a SHA512 7db596dfb7d620889e5001b089529bfa5611e06a0035e8c67f649aebfc9b537de07e8ca33068e5d4545ae0a5ade0588dcac5ce84232d7fd3f1f13a429fb3078b
+DIST botocore-1.29.119.gh.tar.gz 11417029 BLAKE2B 341d2ddf0b1e2feac1093022922b9d57ab23f2222a365599b114860e59fb471ee8043b17e85b0be82a15075781deaf3d8d46caef55d53a59ddb0eb634d4aa071 SHA512 af67d9b377bc52c6ac30449ad0ab0be232a778b6edb29332fb61a6fb90bf1bba92b95bfd8867a750bf50afe2728a3747a20ea45992a79dd5b22ea88433b143d4
EBUILD botocore-1.29.114.ebuild 1827 BLAKE2B d9e353ffebf3b77bdb5b034da339f9f3cf95937e288fa522fcc40f88a4752c58ae085406bfefa595c3738ec118712cdb4ee0509c1dee7a00e2c76cd2a657009c SHA512 f0d3e81726bd65bf4c097b63e8673881949970e29d976de53c1facbccf8cd1d214fea9153f4820a5889f1892979342a0255e110b243ba613d4e803a940d46602
EBUILD botocore-1.29.118.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
+EBUILD botocore-1.29.119.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-9999.ebuild 1736 BLAKE2B 6ca7ea14855f5f8db2d166ba1f29835d4c994a0a8fa38f3852406289a4465c091909562ac678f1c0bf7e640a594731b0d4319efc0f34f6bc640fbae06746c4bc SHA512 f891bf0eded88d9af3b87fc7c9ee4c6a129d263e672821f3b9654d43bb3bcac41305b834192088d15b50f3f9d36ea95374180cf13e1cb67149595ec63e4cc155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.119.ebuild b/dev-python/botocore/botocore-1.29.119.ebuild
new file mode 100644
index 000000000000..491b6bbc21f2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.119.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cffi/Manifest b/dev-python/cffi/Manifest
index b90c2b984499..625ad7e0bbea 100644
--- a/dev-python/cffi/Manifest
+++ b/dev-python/cffi/Manifest
@@ -2,6 +2,6 @@ AUX cffi-1.14.0-darwin-no-brew.patch 568 BLAKE2B 43afdb086a0385e913f287bc5c1534d
AUX cffi-1.15.1-hppa.patch 2097 BLAKE2B 2cd3a1b155b71bcb3d70e3659950c45c36959f0c2090fe560d47bf60e53aa8a2df50dc3b713602c589e6bccecdef27230ee6cb800259bf275dbd052beff03da3 SHA512 ba320e8cb56b58066a44162c8a176d167b4a05a760451a0e0821969cd2ad8fff50e54d54ec8f8c4f93ee1a2e3e71467c7c2d6d94c593ec21892e7d03fdf7c50d
AUX cffi-1.15.1-python3.11-tests.patch 3023 BLAKE2B e25bd9d22b81187b0eab65073930980a2975eec3086462396cfc4796fd5273edab9af2324884c2e55880825ddd046b7ebc5054adfe57574ee691f0fa2145dcd2 SHA512 4d202f8c943bf33ea359f47aa3e53e007bc3dbeb3320a6efa302b1b1ec309b2dde72f6cfe1a591c594f3321ed5c65d61e9f79a03ba3107cd7008699686719497
DIST cffi-1.15.1.tar.gz 508501 BLAKE2B accc317385d9af7dbed3397afde63fbab63bfc935376d951802055c63796863ed102a940f192789924480b9b16751c8cf3d21caf9b262c479c61ffc977aac83c SHA512 e99cafcb029076abc29e435b490fa0573ee2856f4051b7ca8a5b38cd125d56dd9dae8b189f59ceb3d728a675da8ee83239e09e19f8b0feeddea4b186ab5173a5
-EBUILD cffi-1.15.1-r2.ebuild 1667 BLAKE2B d39b0cf7ab64ad515823815b080bae5060d92d6dcf7bdffd8e0a17ee727fd30913b8060b0b80c3151531f1c9bf1deffc4bb470f27b8cd7f0d1e60eadf099dbe4 SHA512 016615f413f1a3830d9191cecb74e92fecf50ca84e8b50181195ae1a6d3cdf36763d0fa1086999751dcf2268c511d7bab9b89b83391335ffa55c6881b01cfad4
+EBUILD cffi-1.15.1-r2.ebuild 1660 BLAKE2B a402399d20b34db2cc1f9bf8dbd077943fb2ac03af6c004595ba4c2a4f16e34fc30b47e4dd43f84991f3d9282e302595ddbc543f4a983b221bc8d0ffa02510f7 SHA512 ded1ba0078cc83cffb82b6a652258c458dd517ae89e0ab2785b1d970b0b31bec8b9a5da3f8e4818e2fa71afc159f96133dce7d0b06b8d3ef50a8be25b19c59ca
EBUILD cffi-1.15.1.ebuild 1521 BLAKE2B 53a54cc90257d8c11f9f72fd1b68c839ea7faa16a395a7a479ca19dfbb6f252e74bafdb97ac710de5c1807545bf89d381f8265e9103b132f51a85ab3bf75f36f SHA512 d5a0c25b2a443dfca09fa34cfe8f1a0228e47d025a7ae5a7421ed26be2ba6243b6068f9a13412277d94d273b60cc3c1c852adaa4f469472179b328180ef85f8d
MISC metadata.xml 318 BLAKE2B f914459fac4ae3d8ac9273fb721c52494513b932676f570f02cc4cfb2283705d8cfc761806ffed23c6f31c95a967398edee01c1536547c1830def5ca4144c003 SHA512 ec451f8c535f0d01dc7bcd248c002745947982cd469a02ac247d0d34f4d7a33374fa10c28d8f074932f0548dc500c3270b499dd08b18acbb9d308777bcc7e4f0
diff --git a/dev-python/cffi/cffi-1.15.1-r2.ebuild b/dev-python/cffi/cffi-1.15.1-r2.ebuild
index eab65853b4b3..912fcdbb8949 100644
--- a/dev-python/cffi/cffi-1.15.1-r2.ebuild
+++ b/dev-python/cffi/cffi-1.15.1-r2.ebuild
@@ -20,7 +20,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0/${PV}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
# Needs recent libffi for HPPA fixes
DEPEND="
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 34c28f59092f..8fa9fb9e6ff0 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,7 +1,9 @@
DIST cfn-lint-0.75.1.gh.tar.gz 3487870 BLAKE2B 26aaf3b24023260d7a7d8f2b89fc9135e0c34786540c21d1c1763decad42167f1a29b01859bfcb17fe5ac1fbbb08aebf04191c6d1b21b335c92e2424c986cada SHA512 d4dfa9331c77f7c323b217203c470e15b4a62a86b42497934a4f9609d54a499211058cba4c561034f6c3dd6ba52ade30084e9a9d25da135289f783ed972a14ae
DIST cfn-lint-0.76.2.tar.gz 3402554 BLAKE2B e5f9405d2852e3b81140a24d94c90a3bf8c919eb6823280a0a887c6acc56ec71d991cbc76532cc49d1189a8f64750ba3e9db02fb3b46b27a28ec3468f4dd268e SHA512 96351ade16308be18baace1351e263a179eacc0b3635e9baa959baadaebb6a08825f6cb9cd83cb83b8635785c7f54405bfcf00f85d6d95d101d3298919cd1ea7
DIST cfn-lint-0.77.2.tar.gz 3483728 BLAKE2B f7c3cb5be3fbc81f10515bec145030c21c9a754ecbb887267ee85ea9fecd41e57be8572d30f204a54c3e22191c58d2c7d7112115e2c6cd0a23490c4c7633d270 SHA512 8e901564b34e601e62a276b8f8a4b5687de651aafa6da6dc295e846b04e703bda24e6a72b71797c82d2c2f4c93978da92a08999cb73be6a48c9ffd4a40ccb0e6
+DIST cfn-lint-0.77.3.tar.gz 3530246 BLAKE2B cfae2bc785a5faab4e2e9a76c2589af1164afc73e764341266756a2426e764142641fe7971e926d1bddfe61ad0b0888c17b89171162e079eb892c44eb47139ab SHA512 4dd91124328237187263f3c390814618aa8ce827d4067fa39c1fba7f1ce44c9acb75feafd4ac30437984f149d1aa66285b842b96a0cf6cfb2baf3a998001efad
EBUILD cfn-lint-0.75.1.ebuild 1625 BLAKE2B 22541f210143e50b731ad2234f300f8175a3626288cb0d8358e6d690d81a56eac4c34521c5ea0468e6fef9a95e4c0bbbba1d8792c1e8490c4b787413730088e7 SHA512 4a2d0db8bc62e0041ee27fc776e3a75e7839333ff3c58affd65128a45e615ba2037d8b819972d584f67afcd18a5b85f2c4ff8c46b32676b6db70c81f6cd347ef
EBUILD cfn-lint-0.76.2.ebuild 1975 BLAKE2B 8e742d614fc2f617a5ec1b7e20cd767231b05724e4f9ecdb980542bcde3ca8b4a126af20cbda952d373d19191e7bd38b59ed70f922b2e0b6d934fcb55770b730 SHA512 4610f75fcbd512720636ff27101d8194af99462f62ab811066ddb8c53ab525b5ac5727b5378e452d3226b8eb1872abaccd238359ade4f8afbf665c3213bb1aef
EBUILD cfn-lint-0.77.2.ebuild 2013 BLAKE2B e685a47e788380adf32a251c55c6fbe770afbc84b493da3accec08e3227435425c424cabe0f46c9e7660829bc6cd6ee8408eeb4df64a143312a3b244e21a5b41 SHA512 0d6a0021003a3f905f1d31545ad66438d4540f3ad4bad8b094c8bb1fcc4d125266fdf12d6a67fae2281dcf7886e003295697c081240617b714f014f1e2e995e1
+EBUILD cfn-lint-0.77.3.ebuild 2013 BLAKE2B e685a47e788380adf32a251c55c6fbe770afbc84b493da3accec08e3227435425c424cabe0f46c9e7660829bc6cd6ee8408eeb4df64a143312a3b244e21a5b41 SHA512 0d6a0021003a3f905f1d31545ad66438d4540f3ad4bad8b094c8bb1fcc4d125266fdf12d6a67fae2281dcf7886e003295697c081240617b714f014f1e2e995e1
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-0.77.3.ebuild b/dev-python/cfn-lint/cfn-lint-0.77.3.ebuild
new file mode 100644
index 000000000000..2b6753f1c840
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.77.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.64.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/leechcorepyc/Manifest b/dev-python/leechcorepyc/Manifest
index 94aef739d257..e7edbdd0b8cc 100644
--- a/dev-python/leechcorepyc/Manifest
+++ b/dev-python/leechcorepyc/Manifest
@@ -1,5 +1,7 @@
AUX leechcorepyc-2.14.0-cflags.patch 748 BLAKE2B 1151e6dbda48ed5e842b1960048bd10a38467b2bfda7478f54590f22a46aa4909720bc5d3d5ba46bed333ebf1cd8002df418581f17dcfbbe8c989a752b34402e SHA512 b3a81db5375f89f028639517150d0bc0a835fda31d5560070e001a855fd4f188ca3cbbf7855f5ca2a9d821b92e3ae0d57017ee2b2cc41a93c2687da0b0321eb0
AUX leechcorepyc-2.14.0-respect-CC.patch 1518 BLAKE2B 67446ded63f4a9b7e0f267cb0fe7b19e987f3077354d5ce293a60619313d7f9c6ab3e01a400217526c6ad204c5a8b0abaef0ad636fa2bda81aa11338eb621047 SHA512 63e13954e2e248a2dc980e122884063eba63b910159eb0e57135d3a4a5eedfbc01ee75c114ded22c320d94ac335c70482d572c1f82254ae07882480434ecc795
DIST leechcorepyc-2.14.0.tar.gz 124463 BLAKE2B 26b7581da76ab3f8981e956ab2f64de2094cc906788455e38784fb50dbad31b8b14de2f510cb49b9c1e842e2a66effd44a2db94cb6ef9e7ec9f11c3af0d9434c SHA512 c7d1d50727023f6b34bbc9682dba9bc70ae69962dcd5c326612a0dcd48a2a90ecfe674391559271d65d7720d755edde02342fb999e53ad54f8095c589060b901
+DIST leechcorepyc-2.14.3.tar.gz 126511 BLAKE2B a15b593144685d1f44dc1b580c8146f57d6c784e39d2a4aad8b4221ea718ee79dffe24877ac74198a2f8baeaca30a37d3fe1e6680265b94bcc30dc7117002706 SHA512 06c4c66cc92c2c55e2dd2e57e5488a1864dc21a1667b4b39237372e95fcd6b99b569754a44eea7afdae32207245016b096939c0edf11a4133fc24a343c892ba8
EBUILD leechcorepyc-2.14.0.ebuild 813 BLAKE2B 78175e203aa801eb7f553acf8027e0d60e4845f89a76fcf7179e2166649f297ceac7a4415081bdcf2463e47be4f5e3ef46dc0bab619049b28d62de501ad0360d SHA512 0b526cce6ab640849a6e20b1e46f2d30bf35c815381bb1d6584ee0c223bb26c4039eb227a73a78b4af89497d2ad14eb73870ba36641142824a2f7d997fd89b3d
+EBUILD leechcorepyc-2.14.3.ebuild 815 BLAKE2B 5315de3e7f78b4ed52a76a2e1e3d7393bfccbb770039b104f73374db5a3f30c417a9dff852c665c8a56b39ea0e478ba43563c8123a158f9b7d980625ec1e85cc SHA512 b787d0fe2da962988dbd969c39e7e7d2dc8d1bbc76a52b3a2715ed6bcba8c8195f4864e0d89c40e62ba75cf20e9b889178a5d3652a854b9d53dce8b20c0322fb
MISC metadata.xml 683 BLAKE2B e85f13b83acf28fc6d59876fad2576afe741065c754680650adcb7acd1068410469de969ab4ee28ef5d9e7ff448c615293cf3f4713b4211c22dbb1b13d7f5947 SHA512 cff010f9f6dafcb3379a0de5ae0c98b974e605cf4e3a0131657832da2f0609e62cf07d3da84327b8c1272eb4cad64218e6c3f0231ec2402b3801e2453a10e76c
diff --git a/dev-python/leechcorepyc/leechcorepyc-2.14.3.ebuild b/dev-python/leechcorepyc/leechcorepyc-2.14.3.ebuild
new file mode 100644
index 000000000000..8425d591ca7d
--- /dev/null
+++ b/dev-python/leechcorepyc/leechcorepyc-2.14.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 toolchain-funcs pypi
+
+DESCRIPTION="Python binding for LeechCore Physical Memory Acquisition Library"
+HOMEPAGE="https://github.com/ufrisk/LeechCore"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# leechcorepyc ships with a bundled version of the LeechCore library. So we
+# don't depend on the library here. But we must be aware this module doesn't
+# use the system library.
+DEPEND="virtual/libusb:="
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.14.0-respect-CC.patch"
+ "${FILESDIR}/${PN}-2.14.0-cflags.patch"
+)
+
+src_configure() {
+ tc-export CC
+
+ distutils-r1_src_configure
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 6126c40059e4..6d70a4feeb44 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -2,7 +2,9 @@ AUX mkdocs-material-8.5.7-simplify-build.patch 529 BLAKE2B 60a246940983ca713b370
DIST mkdocs-material-9.1.5.gh.tar.gz 10887648 BLAKE2B c0e1c905765c1a127e467c25c3988b64eec0c79e2d554e30e39cd5e9c65d748b5198b973027337a3530beeb4e9f3a16d2e0b41925ef44698dc011501b5bb6f14 SHA512 cbd89c66dfda2554a9466f2dda16baac4a7328de1dc1d4549861395d0cd6adea9f841f04e0ac1fcd8685937954dad82aaa01be69faac86c79e28466d5aba9c61
DIST mkdocs-material-9.1.6.gh.tar.gz 10906175 BLAKE2B d99564b40c1add79164fbc339ea1c2a1b531ba9ac442cc1cb65c65696e5391acf7718d6f9c681223e2dcab1bca1d423ed1825bfba342d81b69511fbf3bda6e5d SHA512 7f8c41d525d16a967efcd34073a89f36d91c70425890d63aa152246c7672c983e64fe82723e032bef31445d1d0f6e926203573e3036fdc79d001db78e2ae2bfb
DIST mkdocs-material-9.1.7.gh.tar.gz 10913301 BLAKE2B d9a1bc2e2d4b1d1719d78bb38cbb63f1ed49d78437b632c3d88ef068bc3511dc99e2011b58ff6b2e4db5b8d3ed9564ca2ecfb80634102d8371dd3eba393ffbfd SHA512 b99ac378120cebb75a99746659bebcf1db6d330fe9aa1243fb8699ae8d309992ac69fc4aa3abb0d7f80ab0d3e555745b47024af8c6353bb0163ff773084f45b5
+DIST mkdocs-material-9.1.8.gh.tar.gz 10913351 BLAKE2B 010e0ec27a4360facccdc807fcbf867dce2125a05a5d188eedff6d522b2477d502022c8265655e600a967352ab004cdf08fdad8eac7b38d11e85bc4ef5d7f652 SHA512 ca6f6c4e345d7a0c7d925d9766d94049f168051df6aa1f66d2d9e152c380d81517a040a66e87ddab6f0cf5b46d421ce46c67c0f5985a5f4b6195ef47043ecf18
EBUILD mkdocs-material-9.1.5.ebuild 1276 BLAKE2B b73a9a920b2341c2a76b8c53c14f3957a6f2014180caee8d5879c2d1d0a8eb073adf27eaea6df548a3f9a9c84046480646ab543d0187d3bdd73550ac25467763 SHA512 c6f5844f78d11cbe7090826c7f1360d476ba1541c59b5bae08c312f103d3f727256b5ba2930ffb296e516d48e75e9d438f16191e7b906d78fb73224ab474fa52
EBUILD mkdocs-material-9.1.6-r1.ebuild 1431 BLAKE2B 6e246e937faee6e477312636aaf1815c2dd502f4c8390a16c7c18f90081716c85de2f76d08ec6595714c7600da0d1f4cd0e3bafa6f6fd15b2771c1ea1c9dff8f SHA512 a5ebcb9bc9538ca15301cde929e8cc5d8467696fde6243febfb7a6f951b09492391dbfdc7e750216c4928ac2e2a0e3b46668bd19ad5f806ba720f856778fe475
EBUILD mkdocs-material-9.1.7.ebuild 1431 BLAKE2B 6e246e937faee6e477312636aaf1815c2dd502f4c8390a16c7c18f90081716c85de2f76d08ec6595714c7600da0d1f4cd0e3bafa6f6fd15b2771c1ea1c9dff8f SHA512 a5ebcb9bc9538ca15301cde929e8cc5d8467696fde6243febfb7a6f951b09492391dbfdc7e750216c4928ac2e2a0e3b46668bd19ad5f806ba720f856778fe475
+EBUILD mkdocs-material-9.1.8.ebuild 1431 BLAKE2B 6e246e937faee6e477312636aaf1815c2dd502f4c8390a16c7c18f90081716c85de2f76d08ec6595714c7600da0d1f4cd0e3bafa6f6fd15b2771c1ea1c9dff8f SHA512 a5ebcb9bc9538ca15301cde929e8cc5d8467696fde6243febfb7a6f951b09492391dbfdc7e750216c4928ac2e2a0e3b46668bd19ad5f806ba720f856778fe475
MISC metadata.xml 1037 BLAKE2B 6997d0f85e31152c58092081b697d8934c54f933e188082eb55e5e9f252f57274f673e1d8e5b657907da2d1658f969cd67bdb32bdc05324746f211b718f3a4b2 SHA512 ccd4f4aa6e6e780d0aff5894b260eedb602d29cc25427c202561525d27de4a31d1e13f59267d8d732d0e12f3ca0485996bca6ef2a114e96b030259899e8ad47c
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.1.8.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.1.8.ebuild
new file mode 100644
index 000000000000..84fada34a024
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.1.8.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9..11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.1[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/patch-ng/Manifest b/dev-python/patch-ng/Manifest
index eff0da8d41a6..f1b7df3d0a61 100644
--- a/dev-python/patch-ng/Manifest
+++ b/dev-python/patch-ng/Manifest
@@ -1,3 +1,3 @@
DIST patch-ng-1.17.4.gh.tar.gz 168306 BLAKE2B 78067e3c3d296a21f8fd4155fe770245ba4457cb9e37003f5e7667c30827878a8c06d62c77bb1fdaf61b96a813612a7c39800d7040b13a9d18f0baeccbd86ba1 SHA512 919c04c3adfa36672f3db5f1761a12ccbb08ccfb890015bb0d27b1801c8c7dba99c4da01674b269703a7cbf39df5889f5c446551bb4cf7039dc383c23d8a5db3
-EBUILD patch-ng-1.17.4-r1.ebuild 702 BLAKE2B 202694dd8e2c2fc8fe89e0e860b5156958bafd486240904329649b85c469260b34cdf00d8793348ff1cb2e459b4ffe81ba4ee72cffd9edb902c628efc7c9c705 SHA512 2b9b00ef3b015ebbff1bf46ec2ded907897fd6e1d94dd572bf58d73ca8ce7fd649098e10c175cf665dc09418ef92b322978fe359fc211a36effdd7a4e5de0780
+EBUILD patch-ng-1.17.4-r1.ebuild 701 BLAKE2B 37cab0028d0e2b2b8b35e5416fdeb7e45681001939dacd634ae7c0ef0706286e5f4bd1c95b5aba3fa3546e7fc0e15caa7472e5730698b8b5eb3da938b92e8edd SHA512 277d39c6fe7388f1f60c9ce237a9da5703f49df8243ad6f16d791bb3cd414c705132433d33143c65149512f02ee8fcb202ab52d434ba2726c6d4ac2f8c2c0b49
MISC metadata.xml 566 BLAKE2B f9ded2a7b10ffeff462e602935fd91ae0ab6221bf4474816ea170407938b13a8df8de19180eac604319de32a5b1c5bc27466589a860be4fd7bb18c24148afef5 SHA512 e7bbd1d0f1aae36571945e62b6e73744d7d64dfe3019b2d1be97b460a4b0fbaa062c868a3a294cc44fa9ebeeaa80d91ba42f6629d4c44c9bf48145edf0412d9f
diff --git a/dev-python/patch-ng/patch-ng-1.17.4-r1.ebuild b/dev-python/patch-ng/patch-ng-1.17.4-r1.ebuild
index 8c7d3ed6641a..8528a519f85f 100644
--- a/dev-python/patch-ng/patch-ng-1.17.4-r1.ebuild
+++ b/dev-python/patch-ng/patch-ng-1.17.4-r1.ebuild
@@ -14,7 +14,7 @@ S="${WORKDIR}/python-${P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
distutils_enable_tests unittest
diff --git a/dev-python/pylibacl/Manifest b/dev-python/pylibacl/Manifest
index 332be12976b5..da295de211cc 100644
--- a/dev-python/pylibacl/Manifest
+++ b/dev-python/pylibacl/Manifest
@@ -1,5 +1,5 @@
DIST pylibacl-0.6.0.gh.tar.gz 40231 BLAKE2B ba76f5540de62cec8572960b65f65289d7fe2066f76861240849c4c8175a9219b7ced086739b5a9b4d560a125c8fe759cc7b5b688bd4dc3d84ca4dc78897ea75 SHA512 a93ad199d9946490a863906411893a204bf801df71cf70217d6b29940a9365f05fd121116f22e054a3b8d27cd62e35c73566c1e0dd246ae5c0edd2f967df50ba
DIST pylibacl-0.7.0.tar.gz 47543 BLAKE2B 277c03d01ab184ffaaa2c07c56e8f2464cba8b6da0fbd251880d274bef3b27dc211f1571425d4216e02bbeba8c623edfa56cafbb27932092ffce254e6be8df5d SHA512 077515a00c7a048faf7792acd9c3e768d35674c0b3f4ec72fdf37561c90ed12bb392582a4fb9a23b7916db3375278c2636f2844f362a8335e7ad68e1e9b9c3bd
EBUILD pylibacl-0.6.0-r1.ebuild 981 BLAKE2B 09787b4157c15097c948b58835140d622e06495bbbb9df2fb71c28e7d0608c7213f542fafe915bb324cde7289e171712b9cdfc8a18dd64e1bf48f4edf9bf5eb0 SHA512 f7dbf359320d3986338c191457acb406b9c7687d2cfb4204aff5e330c418ed8889b6e3d4cee9b89a337df511074cf51d6f4d072f19a119ed5ca2be98a70d66fb
-EBUILD pylibacl-0.7.0.ebuild 927 BLAKE2B a6dd1163a399363787b2f9ddee6856a45f11891e397314647880a657e90a1e04478be12f1dd754d963e26754d23207a9d173156bf67ca13cb55422315511f91b SHA512 120b9449bf18568661cda99fef6acb301c521ab1c891d6402ccbc09166888ee296cfe80638eb11dc3028e16f37e1b656217fb2516d38496ae509f7fea83d2565
+EBUILD pylibacl-0.7.0.ebuild 954 BLAKE2B 6c1f5eef19a4562bcc5b8736530a78d9b979db4430e04281fd96076bdedcd0c521725ad15dae2ccb93baac178ab5374a76b631f8a0bf276a66878f54a098e1ee SHA512 76d8b33e3a52d14fd82e50d73617b056861e94478d80017a8af7f83adca17328c3cf0e41def02fe40fb05270f7c5353048b0b9c45587a294194a70de6ed081b8
MISC metadata.xml 446 BLAKE2B 0e111cfd834a03f88984dac937b5b3d09a7675338f0381d30603b0512d7f5ae1f486a832d060ecfb9c5946c7273893ed030555062b8bd3f26f10765c28a90143 SHA512 7df5bf16220e50c851fb03af84a600eaba23fdb703aefc2586aa2d27a1e55a18ad7b117274b8a07c7d7997dfd96fd51bd2dca6d3a1dad01cacafa678a5c8a794
diff --git a/dev-python/pylibacl/pylibacl-0.7.0.ebuild b/dev-python/pylibacl/pylibacl-0.7.0.ebuild
index 57da0be809fe..c2a91649d323 100644
--- a/dev-python/pylibacl/pylibacl-0.7.0.ebuild
+++ b/dev-python/pylibacl/pylibacl-0.7.0.ebuild
@@ -27,7 +27,8 @@ RDEPEND="
${DEPEND}
"
-distutils_enable_sphinx doc
+distutils_enable_sphinx doc \
+ dev-python/recommonmark
distutils_enable_tests pytest
python_test() {
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index da639d527b21..4b1fe7cd983e 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,5 +1,7 @@
DIST pylint-2.17.1.gh.tar.gz 1408063 BLAKE2B 0d4ab42ea4465787ff0bb6768b20800797d76caeddda475a08372a6b174975fec36a48acecea80898b3ba1c36ad6eb6c540678338c84ce48b78e0f6f9553e190 SHA512 e467c48349f49c2a9ef68d6a70748bf9144ff589adc1d04eb1822b28511d5a1a0027536fc61a5d33955fb0e7ffbbdecea47e8196844f33985a43e8c1886af21e
DIST pylint-2.17.2.gh.tar.gz 1408818 BLAKE2B 678fc98ac583e86e98856713bbfbf975be9f3c51ec1516d2a2df54369af1bba76db6c53d43a09494d08409bb3829df958037ba716ed6880460c2cbbc2ca4b38b SHA512 9c3063332ffc102ba4a7177cca4c440ce89a8ba6fa4252eb1fa401a6e6c10e49afcbbe76127aedccc30dfe5f0dfe7b19cd9aadf4f5ffaa2494a4743d2e0d6a33
+DIST pylint-2.17.3.gh.tar.gz 1410573 BLAKE2B c0180555a8789576db2174d99ccb6aca3977f0626228e14288de6d457f7b6bae2c84d25a4e61fe8ca4b2a6f16eeab60c36fe32466dac9e1f0d3be35b93a04b7e SHA512 8d4d0387a89c4aaa2ab7c2ba4c991d6ac7b90982afd292578bab567d556acd2476a22bfdac9a02021519e7a86f389d8991a9ce3405e57c61d6522dab59a19a16
EBUILD pylint-2.17.1.ebuild 2561 BLAKE2B 46537da651e286bae948c29ea5aeaeacf0231f30a3df716824ba5c39131e596ea6fd9ddaa4350c48b2b37f8d568ecffd6ca2826e2a835833489d74b3e1ec273d SHA512 e5f43453c9054ec51281a4c8c882f4fa6a78518ec9890c09937fdb870f8daa39ebf8d0af40f0f0d38a78cf08687aab03184398eb49c87b4a310c809898a0107c
EBUILD pylint-2.17.2.ebuild 2576 BLAKE2B a65fe338671aeb2a800e4a8f30960d1c3256408041ab20bad5de0fe3a6dd93c388cf95be74b42ae851327049b94b5831e7023d66f81b6c7dedf95652f4725e31 SHA512 3cacb23f8294353b2de4efaac1776f2e25bd5d3055307651780005a1b2e0c84fb907b4d61cd4b5d2d36d15395c5ba6fc1a4f9bcbf16f3d032282b181b85df074
+EBUILD pylint-2.17.3.ebuild 2576 BLAKE2B ee7d27e2329609ee1c06dc50bd3df6dad51eebd43153118eba2b8e23f4642b2b3764ed64cd09c1ad57849232e5eef61196b73724cdc44c2c9b5a791cbce00c57 SHA512 4d3625e2c65ad437f115d0e895426c2dc355e5ab6279317fe565ee3770b9e59f2573e81c67c1e9591d93f244b3406015bba59eaf7208d944df3f7be7436651f4
MISC metadata.xml 1105 BLAKE2B aa9d049b732f9198685901a0ec31f4a615da8398ce1741558e7b2c3840890da0c5ac6a2a23e0fd4cd45fb443b92f69b3fe4fb7f9d7570b1a75a0d0784231f392 SHA512 5f5bb3e31554bdc0cdcdaf1d7df9194e32da649784124714783c5d280c7ab4a9f65317b5d5e6de47698b2f30a019051191cb7ef3066902b606e2582a31f01c05
diff --git a/dev-python/pylint/pylint-2.17.3.ebuild b/dev-python/pylint/pylint-2.17.3.ebuild
new file mode 100644
index 000000000000..a46cb3a4282b
--- /dev/null
+++ b/dev-python/pylint/pylint-2.17.3.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="
+ https://pypi.org/project/pylint/
+ https://github.com/pylint-dev/pylint/
+"
+SRC_URI="
+ https://github.com/pylint-dev/pylint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+# Make sure to check https://github.com/pylint-dev/pylint/blob/main/pyproject.toml#L34 on bumps
+# Adjust dep bounds!
+RDEPEND="
+ <dev-python/astroid-2.17[${PYTHON_USEDEP}]
+ >=dev-python/astroid-2.15.4[${PYTHON_USEDEP}]
+ >=dev-python/dill-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ <dev-python/isort-6[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.8[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.10.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.9)
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/GitPython-3[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf pylint || die
+
+ local EPYTEST_DESELECT=(
+ # TODO
+ 'tests/test_functional.py::test_functional[forgotten_debug_statement_py37]'
+ 'tests/test_functional.py::test_functional[dataclass_with_field]'
+ 'tests/test_functional.py::test_functional[no_name_in_module]'
+ 'tests/test_functional.py::test_functional[shadowed_import]'
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_error_msg
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_info_msg
+ tests/config/pylint_config/test_run_pylint_config.py::test_invocation_of_pylint_config
+
+ # apparently fragile, needs unpickleable plugin
+ tests/test_check_parallel.py::TestCheckParallelFramework::test_linter_with_unpickleable_plugins_is_pickleable
+ )
+ local EPYTEST_IGNORE=(
+ # No need to run the benchmarks
+ tests/benchmark/test_baseline_benchmarks.py
+ )
+ epytest
+}
+
+python_install_all() {
+ if use examples ; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pyopenssl/Manifest b/dev-python/pyopenssl/Manifest
index f78d8fdbb99a..6c70d80adf5b 100644
--- a/dev-python/pyopenssl/Manifest
+++ b/dev-python/pyopenssl/Manifest
@@ -3,5 +3,5 @@ DIST pyOpenSSL-23.1.0.tar.gz 182977 BLAKE2B 75bb5cf215d17a39d2f11a8948c015766d29
DIST pyOpenSSL-23.1.1.tar.gz 183402 BLAKE2B c0339203bb1794da67a0c2fe2e20b5736b3e0628d01b13805e3c30771d60fe07df22a7c090260cf1fad80abb1e566e2efd1e8e184a142e335189fa3bd885e7ac SHA512 581f907ac9acf71c3340bbd413ecf161dafeac1cb406649c683fc770f8bcfcc1630a977defa9b3ee218631959ed14ea62d0a02cdf74af9fdce5ddec34ad1e1ea
EBUILD pyopenssl-23.0.0.ebuild 1503 BLAKE2B df360e40b28720d81320eac31bf92d2a25d079663d60a0f0b3558b2c38ec8887db877ebbe1597ec7356c26b958d8a53671b64dde5a1d9a57ba5c120738b6750d SHA512 2190bcfc7cfadc9d86dbc6cba16e37a64842e160027fd593ee360ee9c4544bd46b60eb62f33c8c672794cad6b64f9e4537fa78137518d9c24944dd6df7959fde
EBUILD pyopenssl-23.1.0.ebuild 1509 BLAKE2B 2041892115bfe636a1b706ad3abff892f77f103cb493ebba2b72de51023e0186891a0ce412ee4084a9ac3deefb3e1371fddd3bee6baa1b5c23077e61fee89d18 SHA512 7a1988835256389ca10d22e6229c791710583a0151cd5f843a2044a9c6c890652ca6cfac77eb6622064a0775894c14ffebe66a622039571b21e2a06c08477ca7
-EBUILD pyopenssl-23.1.1.ebuild 1509 BLAKE2B 2041892115bfe636a1b706ad3abff892f77f103cb493ebba2b72de51023e0186891a0ce412ee4084a9ac3deefb3e1371fddd3bee6baa1b5c23077e61fee89d18 SHA512 7a1988835256389ca10d22e6229c791710583a0151cd5f843a2044a9c6c890652ca6cfac77eb6622064a0775894c14ffebe66a622039571b21e2a06c08477ca7
+EBUILD pyopenssl-23.1.1.ebuild 1503 BLAKE2B 7ead22eb2736933f82fd36fc0065649b5477051a7b57fb2354469aad34e0ed0bccd7913c625ec4fab6b42db2e15d7e1f77a27c6fdfd3d48400bbd258ef8566aa SHA512 3502793cfddb8f48403350a5b2b545eed603b4647eaa1a085d6c4aaec01dbbb87ddde1ab56238b692c4ee9bbaa9c0ce812b72bf2e3450a81bfd89db3873e890e
MISC metadata.xml 536 BLAKE2B 86db822042b6fb3e965ece87b6b15dcabf76cdfbfa76ba285a491208ad5c6a2a196ca7144a1a73b152decc4df1641ad4c57a1cbde9f90d09d25eef1f6f4da39a SHA512 996d0e20291e744c6c20b38fd750d242920541aca7d92de63ca5b1dcc2f1c10308545797ccf499f38e50dfd04db2bb031e93b02c7c1705908f2363c813294ff1
diff --git a/dev-python/pyopenssl/pyopenssl-23.1.1.ebuild b/dev-python/pyopenssl/pyopenssl-23.1.1.ebuild
index 0e095e2b825a..a85959e0f58e 100644
--- a/dev-python/pyopenssl/pyopenssl-23.1.1.ebuild
+++ b/dev-python/pyopenssl/pyopenssl-23.1.1.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 sparc ~x86"
RDEPEND="
<dev-python/cryptography-41[${PYTHON_USEDEP}]
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index da2750e25429..4cdc92b80301 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -1,5 +1,7 @@
DIST pyproject-fmt-0.9.1.gh.tar.gz 15434 BLAKE2B f9dd55b4106e875c80127ac60b3a54d4bdadf3555266a74cfd811ab96500879a7efb8eac71a041b2c33486bfcbc1f818a26a3ae3c50685f35cc3712691a85bb9 SHA512 ade87f43927c74e0328ffa8ac542bad204cc283d694f6921c40c86ae0a941ae50cc43fa4078ddcec28ff0d6003ac34a54232ea23d2820b5b2582482b22ac2a7e
DIST pyproject-fmt-0.9.2.gh.tar.gz 15615 BLAKE2B 91912d350224fb2cbfd5f4e2310c10849dd0a1f43ac076059b521966d07526f9509cf87bba182cc4e9eb6b87c7c58c2972bb4f256bf63724e9d3b6c4fe9e67dd SHA512 3045381fc811fa8b8b7e845d9af5564d1969b73bfbb3e5a5c1953843754607cdbd809b829691d7195df73a1e136f68fbb3d3b66c783aa7c706b352e88d9b3f92
+DIST pyproject_fmt-0.10.0.tar.gz 11148 BLAKE2B de8f068b4bda97dcde68010645f637c69253712d7b5d8514660a2b3fc874defe76a343b10c5cdc2c3c2bdbb214a5ae0b1483944fb0eb9f1607c8bad7d0f51e60 SHA512 9383f2e02971f95cad724ea7a9c1f322d0c4e94ee36c5a3dd668f15b149f5e259274be086399f83e4f95bded796200debff351558b92249200874f1cb4c04323
+EBUILD pyproject-fmt-0.10.0.ebuild 782 BLAKE2B 8e0dab3061b6ee16ca0aea36198b8b406d3954d7a17ddae9389ae4c74a0d2d1c83e09551849d1489b47f26f3b1307d52ba6fa0175fb1e15e8a1667175c76a1da SHA512 c09a5cda28813143efe75b19cc705c20704649cfb61218efc784f781cbb858f63294d024557d382d18e6c11b6ee3e4f1f09c2269ec23cc7bed0c0c98cfc6d939
EBUILD pyproject-fmt-0.9.1.ebuild 861 BLAKE2B 8d4b076b7b2af9273591b0022f86c15aa97ad14b62d345305bcddd3f59a964e44756ed10a55dee26b867dc002b3f04ba81488ae4b624b347fb549d197e79d54d SHA512 2cfc68b195fccbd3baa2b6a3d9911b226fd501daaf260996d420ac612045d51d193eb70659dee44c00c9dddb59946a4064198fb3b6b35bc2b87a72439d10f93c
EBUILD pyproject-fmt-0.9.2.ebuild 869 BLAKE2B a0539489724d2079740af64ef020f0e69d50851c4bedcb0ab7dac5c41418391ff5f4d973e71ef71ba16109667d2168cfdd425970e99a7db413d0d2950388f3b0 SHA512 b6f4da4bbc9187e8843408b0b83704bed7547f03627aa957f99508aa1329789fc4d0188245b3e57994b38a0f1e3f1fdd4885aacbd043c9e77b9f01fda3028543
MISC metadata.xml 380 BLAKE2B f139b3f6c22d40d7c91b9b35db262813e299d1a3c1a1f8d6129e457fac62e3e7029a05315a3bddd9c4542764a33160c89b58b3b62f457efb088a7ae7cd86a936 SHA512 38bd0633defb67ee1831480c8b3896e158d0735ec74057b13b3c389cf26bd6ecb878f21d172f83293789d81ca2c30afedab8eaeb4ab1774b39972fdd5f805a81
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-0.10.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-0.10.0.ebuild
new file mode 100644
index 000000000000..03da02e13551
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-0.10.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/pyproject-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/natsort-8.3.1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.1[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.11.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pytest-mock-3.10[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pyzotero/Manifest b/dev-python/pyzotero/Manifest
index 0cd5617f4ffc..58f7f5a4bdc4 100644
--- a/dev-python/pyzotero/Manifest
+++ b/dev-python/pyzotero/Manifest
@@ -1,3 +1,5 @@
DIST pyzotero-1.5.5.tar.gz 525725 BLAKE2B ec1c200811697b5830f757e527ad3f21abea62c680e32b2132d616b4e07c919a3e692a98cb726f43b9c456a23c375f962847fbd61a466f476545d491b7ed0576 SHA512 88db72c834e084f025eafb6c85d1e7cb4c4f6f73eb518bfe4ac008f51fc752fc7e74be2c0e48a0e8a9bc2acefb78a48ff907ee2e0e26c58f25e853f923848fea
+DIST pyzotero-1.5.9.tar.gz 526093 BLAKE2B bf29b557226363d71d536c41fb168b55b0d63dace5789f8abc92b8342bffb1ddcb4344132a68cc401db0ca0a536f534141690b017bc4dcf4d45299dec308a554 SHA512 be8c2135d3cc1bc5defc27a4eaf5233ced01a7c84cdf89074ce318558728c9356ddcf9e4ede4012b03c1f836dde641fee9366ca954e5d3cf35642638c3e38145
EBUILD pyzotero-1.5.5.ebuild 764 BLAKE2B 2f0b15b5e6466ac080da4ee6cf327e90688c758964b52a20198cb13a977df1960268ca39f0c8a1d5418be9f5596d5a6e0af56bb4e88a415b2484ec0f00d12e3a SHA512 edb71b05c75d8a33d722b74e197498e4e71ce947bf3e5ef0cd032ccf7a03189aa3d0b085a49f76c68c077569776ebec9d5881aa970c98aacab8a45403c4ef3c1
+EBUILD pyzotero-1.5.9.ebuild 764 BLAKE2B 2f0b15b5e6466ac080da4ee6cf327e90688c758964b52a20198cb13a977df1960268ca39f0c8a1d5418be9f5596d5a6e0af56bb4e88a415b2484ec0f00d12e3a SHA512 edb71b05c75d8a33d722b74e197498e4e71ce947bf3e5ef0cd032ccf7a03189aa3d0b085a49f76c68c077569776ebec9d5881aa970c98aacab8a45403c4ef3c1
MISC metadata.xml 512 BLAKE2B bf20e20fc4c9a9345d42fca55ed12b940b14464416e50f0bf5d1c8ecfb3faa07b692e14ccaddb3efd161e903c020209eab23715299a27166d63c4e7b1d2e0db4 SHA512 10b3351acff6184aa7f3254b21ebf9bd733dcd1471030476eb427c1b788d23dc0307ae7ed441b3267b32891dee3c463e646e8acbb4cf4a42d8c1c8ad08518a7e
diff --git a/dev-python/pyzotero/pyzotero-1.5.9.ebuild b/dev-python/pyzotero/pyzotero-1.5.9.ebuild
new file mode 100644
index 000000000000..9d9ad538c0fd
--- /dev/null
+++ b/dev-python/pyzotero/pyzotero-1.5.9.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python client for the Zotero API"
+HOMEPAGE="
+ https://github.com/urschrei/pyzotero/
+ https://pypi.org/project/pyzotero/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-text/zotero-bin
+ dev-python/bibtexparser[${PYTHON_USEDEP}]
+ dev-python/feedparser[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/httpretty[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index ec9d755d5919..e85df622f6f8 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -4,10 +4,12 @@ DIST tox-4.4.12.tar.gz 170092 BLAKE2B 03a1d1ddd8c36c88e3b30f464df9b20d516ef28266
DIST tox-4.4.6.gh.tar.gz 304337 BLAKE2B 2c157fe5febf1eb131d767ade87484880201bb37fa65a579abb9780d755d570f216b8f865dd2dd8dbb3a3af01be78133f9ac0b73a3166dfc2b9cd99f6547498a SHA512 403bca89228d665182bfbb61550dfd9e9fb4ce4a5592472d50cd38e3f264c806fa15bbdccc020a720ad69885d9be54a1f074f6d87549cbe2b523e53d870358dc
DIST tox-4.4.7.tar.gz 168261 BLAKE2B 276842bb82d01c9e3b66f633e79974790b7d1852f831ab954172ddc1d3c50c861a39e959fb0a990a7102a1cc0840238ef3ac84c7b41f9f45ce502b1245e21988 SHA512 58989ecc0a555ee225614d9b7a718b22f6dd1555a0209a0c1428259fbfc7d336a58753fbfa85f1b9aa160c8489587999425437e71f9d4728631d5cd5b50ca159
DIST tox-4.4.8.tar.gz 169460 BLAKE2B 5353c489d5051b23b39c23fcbad1455556c23572b504ba241f9942a01f5ae5f1459d3b3837680aa9631dcd8a081c0f3b8acce1b18e85daeab3e2084ec966e451 SHA512 a6e5ceb19ebf1adcfe5cd093a2710da88c1552f2129211175990b7b7fb6b53716fdccd7592e9c6696bf13ce584443c9a266e40ed50953999883fa1a68ea6aec6
+DIST tox-4.5.0.tar.gz 170132 BLAKE2B fbde455d90791b81ba8fb47b2c00a0c931e56bef39749a324e16b12f2955441371c74983d3c77b98f04f5a0e95ddf78678ff96fc2f99f42a87bd0058a3aefb98 SHA512 79e3fd7308a3da0df5859437ff7842a343578a98211a6a936f72caec857dbdb5e0bd4b80fd68a3a48fb0891d4608875ccc1b09d7127416aaa7109a8aa314979c
EBUILD tox-3.28.0.ebuild 1916 BLAKE2B ff8aa55245a3f654897ad4c8f5861a55410b2b9442bf3f85aaa0ee236f576efcea1a2ed697c715c7182679b62a4781c5a0f6236eb92a1b12d6ddc73154612a67 SHA512 2f5999d0263da9efb00216600f8b98fb3c204e11640049d92c6106279baeff452468d2bb78236839bc8bd5540d6f9d01338af26315148d81a788d476ec5dbed5
EBUILD tox-4.4.11.ebuild 2679 BLAKE2B 583f1804f03f5e4c810cf147db960ef2577a201a6542d0a1d88f38df44534a9c379d73ca6a39458112b1e72207116c255113942ce8b05bc57c5602fb8defeb5f SHA512 c0adde8a0b869cae44ff8964843edbf3d3817f018ea52e673e930c5a6169ba11e74ebcdbd534b63f5ad34b41e82085e23fa1d3b38882532a13a15dce3a1f981e
EBUILD tox-4.4.12.ebuild 2683 BLAKE2B 706fd28a7bfa9567abb080e3a9da51359ffdb051f19acfd5d42c60abba3d69bd229bea576e869d5a0e3e5a51391e5ea5bd06e8e8b99096f199730257e2ebddca SHA512 8aae508cac48fb17dc3105be29dc26992c54d2502bb959efeced684de71c362ebe4e5aebebec19e083b78eef65a225f301af93abd7d9d078c5dcaf14078a296b
EBUILD tox-4.4.6.ebuild 3029 BLAKE2B 3a3dd193f9eaed38066e520aecda87b81745ec4a175b9a6f6e65a701c85db0c46d2b9c8c3d5b9cac29ef1cf91d21f313d79e673b1e31587e502d7886960e398d SHA512 2ff026c0923e832e3af257fcffbdb5b7722a50d010205723983a6f866b36f63e5665b4466f7cceeb6b04db8bbc99b3e585bd94094b6a7afca2a079a9ce0c3c47
EBUILD tox-4.4.7.ebuild 3009 BLAKE2B c9f8e6c1cd6260a8a6cefc8045bfb24910e893fd1dad27f30ce52242f24f6528b428f812d47ce75359d32265e29ad7372ec7462fbf506089769899df2bd7a96f SHA512 d8df48dd80e192e69a9f8d9d7b9ff8f19e3efde8acf531eb697e48e81603e765919199d0ac6c812ccbaf72e02649c88830cc2cc6e0c98119d1bb1d52647bce34
EBUILD tox-4.4.8.ebuild 2679 BLAKE2B 1157f832459beee0909cc41ca3ebb77f935b4909b921ad1deaf5c7936ca4b12b03de39820e648eedc4ada5bb463f15aba9c1311c6e18eec491dfd3dbd9aeb050 SHA512 704e7f6724205ec0f6e4df6632e00f5417f7f8143667e77fba63156a42844eb070b0b78b96c07c6361d068b6d88e6ce195f2c0e7d496a492997a0b7239a30499
+EBUILD tox-4.5.0.ebuild 2685 BLAKE2B 442764b64da2798d59f3bba7b6ef5368447e6fd81d1e30d5548d6d229c5e1a8dc276cac798bed8bfc34eea75ec6be924ae7537f700226d80107b71947de8daf4 SHA512 dffc68c48825a5358372570972c2461b83acd8459ef14c180eeb4e931e60dd7c07459fa154dc89d65e7042ee1a73ab7da79ffcc5cfc4912a553a65600390c3d1
MISC metadata.xml 382 BLAKE2B 7c0704c5c187ce4a7972fe0372b23c5537a81a8d62fd83436d9558a61761f10764adb5a4d5f6795f0dd1fe905afa604c0be77fe1d48d291847f6ae65dc1b032c SHA512 9d0ced4df9352a81034a50d5766a01534ae8fa889985d99cc9e2a8d0889e31c6c11550677d9a5a74e2aab57c320192ce3a42708a6d23b0419ee34a6054398344
diff --git a/dev-python/tox/tox-4.5.0.ebuild b/dev-python/tox/tox-4.5.0.ebuild
new file mode 100644
index 000000000000..97174ab277e6
--- /dev/null
+++ b/dev-python/tox/tox-4.5.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/cachetools-5.3[${PYTHON_USEDEP}]
+ >=dev-python/chardet-5.1[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.11[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.1[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.2[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-api-1.5.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ >=dev-python/virtualenv-20.21[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/build-0.10[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.4[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-3.2.1[${PYTHON_USEDEP}]
+ >=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/time-machine-2.9[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[constraints-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit+requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_indirect-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_constraints_indirect-True-True]'
+ )
+
+ epytest
+}
diff --git a/dev-python/wxpython/Manifest b/dev-python/wxpython/Manifest
index 2338ce64b57f..7e326ff18dff 100644
--- a/dev-python/wxpython/Manifest
+++ b/dev-python/wxpython/Manifest
@@ -7,5 +7,5 @@ AUX wxpython-4.2.0-no-webkit.patch 1285 BLAKE2B 19fdee2293da214b8ae318b2670298b3
DIST wxPython-4.0.7.post2.tar.gz 68891167 BLAKE2B 77eb69f7a59e5be81c3d17b64c76e09a43efc9226bd87fd058483185871a95ce05dbb65614ec8b003edf52cbe1cb1a115856c0d622170c51ecacbb952106fe22 SHA512 7af89db90a0f7e6b644d61c1ede01ec36a2c295e46d44692ae9dbc4af923310c1b498a52f45b02a89e8917d844c6abe67e5f3fdd9c1d51da3312899319a349e4
DIST wxPython-4.2.0.tar.gz 70958238 BLAKE2B 2e8e34c4f5d1992983bfe4e09bb56ee5619b139b9b3b5f05dee48ecdf6971cf9fe1b0fb22aec685904eb44db6f50a4ba132a08aa91930d809040da828efa097e SHA512 9ec937a024efb2916403c84382a66004f0c2bb07471246b7de517778309ce459e929eeb59e261f538d3fa077c950628de62e49a3760fbd03ab9ff2114c6f354f
EBUILD wxpython-4.0.7-r4.ebuild 2370 BLAKE2B e8b76a2c2a0b2153c4663a4e514d0ee6c54bd5946e92dc436f854775e410031393b8f8506ae50567490b5b709eb5ada1ab3cf24c980f0a14f2d57b91e21c780c SHA512 f8e47b0de868d90b9a9fcb33c9fa22a96c8ad7d195b35917239ec840a685fdd9fc42f5a0259c644dec17886395bc433a125539ab7b09107f4f135a1b08042b95
-EBUILD wxpython-4.2.0.ebuild 3845 BLAKE2B 4b4f862a09ffe20168ad39724317c9df777b4fd3082b14f065f7fd4f8a58811f62a2ad8d60bddd41897df3a76eadae140ac37fb34011419b1d7fb0cdbb40393c SHA512 5c4bf32a5dfce1c0fcd1ba77531e4cd0deac9e918481881c5648f1c85c803ef2e0245aa4a01eb6dfe8d0e7b747e1defd2fda53708dabb60fe6ca694d5fbd73d2
+EBUILD wxpython-4.2.0.ebuild 3844 BLAKE2B 109a338f4667b8f95b27cb6c350cd05fe8a28d351be87eaec15fb00692587cc040f98aca8d124ebf215ff7d41f510bbb7ca9e38fec3d5aa346fc1a8a9a916f00 SHA512 83e05ec66d6eefbcef55b329d2331f5c946ed832a4923b4869bfd0d209f5f12de22d32d4793f1e737c9ab5aa7685c2d9fae627afe648ccf24f390a11786e7615
MISC metadata.xml 491 BLAKE2B ffa0cccf66f484c856fb30249bd0ccc3b0da2f3ee8e3c3a0df1782bc58e4867ff99d9711f1784b44b439f2a8bcf297c1082b49a941823f046c7f2c7977a77629 SHA512 a2f5908a276a8f9c512cb59c8d17873398c91b21977371ab724e669f3b6c032d53510fbcd183a5dc340279fc522289e617b8c313c0d825ca70d0d2a5d74f8cfa
diff --git a/dev-python/wxpython/wxpython-4.2.0.ebuild b/dev-python/wxpython/wxpython-4.2.0.ebuild
index d4929d8a7527..378e4ef5a3e3 100644
--- a/dev-python/wxpython/wxpython-4.2.0.ebuild
+++ b/dev-python/wxpython/wxpython-4.2.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="https://www.wxpython.org/"
LICENSE="wxWinLL-3"
SLOT="4.0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="test webkit"
# Tests broken: #726812, #722716
# Nearly there as of 4.2.0 but still quite flaky (inconsistent set of failures)
diff --git a/dev-python/yara-python/Manifest b/dev-python/yara-python/Manifest
index 8f82bf00b8e6..8fbbcb6dd94f 100644
--- a/dev-python/yara-python/Manifest
+++ b/dev-python/yara-python/Manifest
@@ -1,6 +1,8 @@
DIST yara-python-4.2.3.gh.tar.gz 34465 BLAKE2B 4b9689cef21f9c712960d08c357087f0278d8c20cef3a16072a005a4f8687999aa273c02c22ea9c6d5ea9a6b609c1a6f4c51f01b04f238e9e1faeeaef275d88b SHA512 588875d820f4e1b2aa5c6bbe83814ba2756f5ed301ba652efd280d5ca9745f7388f1f9eaa3875d11de5644ce9c41dcb76eebbee86269f8d6723c7d16ffa134be
DIST yara-python-4.3.0.gh.tar.gz 37826 BLAKE2B 2a06e462af5b3ef5098b650687f1953e51f53858dc9c22b0e9358641fa20f3f5c2b7f3b824b5b8195408e3e2bfaa05afedc851a326486454d9f3eadeecd3fe33 SHA512 c45bb57179b4191e6fb5577f42abb280dad91832720ad1712de8a2ea42adc5e3604079b2d8d0020ba86ece4043e7488889a54677e10cd2bc172a1480e57f1fef
+DIST yara-python-4.3.1.gh.tar.gz 37871 BLAKE2B d8b8eac6b12dc4c5c3362e8b5396fe9ff5a0b0557488ed94257ec2b7be813c870d39f78b53b3312b6b1100f4bdc81375ebf27cd21a569c5688503b81934c3881 SHA512 78cd53f756967ef79cc742acffaeea53631ee475c07efd1506eba7e0630b2e570ba03686da1fa3247c9339faa67daf6c372913731b73233626661c0a9f575e41
EBUILD yara-python-4.2.3.ebuild 785 BLAKE2B e3cc6da9c33cb0b87ec63d38215f7867d2f388ccc9e2bbf95fe0e7035be3d20a0e63541b0c2bd7de6e261048fdee9a58069efec88e4e0a6e4373615cb7703bfe SHA512 5a6f9d13de2c92ac1f8c8cec3a931409104a1728bfab005ac6037ab209b528a663bc3a7c060be8db2532680b0cd923b899524a178193511c9046c81a269233fe
EBUILD yara-python-4.3.0.ebuild 895 BLAKE2B 357e1767c06b67b92e680ee57091ec81366e8975f6b0a43a6a5d7c96ead0c95544f2ec442dbc7547f67dd4da1e8f6e686d6e9d5e6bfb4796e8262b67a970ef97 SHA512 76e4e4fabbabcd87c11a6330a822142c2395c07081a2c839defcdf9aa87c5c3096f5d6b7530ec962fe738092556328798cda1f4d8232d2385164a2a9633ac745
+EBUILD yara-python-4.3.1.ebuild 895 BLAKE2B 357e1767c06b67b92e680ee57091ec81366e8975f6b0a43a6a5d7c96ead0c95544f2ec442dbc7547f67dd4da1e8f6e686d6e9d5e6bfb4796e8262b67a970ef97 SHA512 76e4e4fabbabcd87c11a6330a822142c2395c07081a2c839defcdf9aa87c5c3096f5d6b7530ec962fe738092556328798cda1f4d8232d2385164a2a9633ac745
EBUILD yara-python-9999.ebuild 895 BLAKE2B 357e1767c06b67b92e680ee57091ec81366e8975f6b0a43a6a5d7c96ead0c95544f2ec442dbc7547f67dd4da1e8f6e686d6e9d5e6bfb4796e8262b67a970ef97 SHA512 76e4e4fabbabcd87c11a6330a822142c2395c07081a2c839defcdf9aa87c5c3096f5d6b7530ec962fe738092556328798cda1f4d8232d2385164a2a9633ac745
MISC metadata.xml 868 BLAKE2B 45f55060dbf7936f5004b8b6b9332ae01fbe8f25c008d6b272245ae3a21522ffdb1b3d11a338fdf31300aa274c4e24cd05ecdc62ad0b1e757188edf174c6e27e SHA512 ab67d86f6deb877d1f5a22ec36e381d7cdf62ec0634dbfd526ea2b58a5e4b9d6d6e2f06ead9cf7e8d4cff463bdd3486992350d94715d7b59c40c746ad9184e22
diff --git a/dev-python/yara-python/yara-python-4.3.1.ebuild b/dev-python/yara-python/yara-python-4.3.1.ebuild
new file mode 100644
index 000000000000..a4fa9fa8737f
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.3.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/VirusTotal/yara-python.git"
+else
+ SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ =app-forensics/yara-$(ver_cut 1-2)*
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ cat >> setup.cfg <<-EOF
+ [build_ext]
+ dynamic_linking = True
+ EOF
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}